# Uses of Enum Class
org.bukkit.attribute.Attribute

Packages that use Attribute
Package
Description
org.bukkit
The root package of the Bukkit API, contains generalized API classes.
org.bukkit.attribute
Classes relevant to attributes.
org.bukkit.inventory.meta
The interfaces used when manipulating extra data can can be stored inside `item stacks`.
org.bukkit.potion
Classes to represent various `potion` properties and manipulation.

## Uses of Attribute in org.bukkit

Fields in org.bukkit with type parameters of type Attribute
Modifier and Type
Field
Description
`static final Registry<Attribute>`
Registry.`ATTRIBUTE`
Attribute.
Methods in org.bukkit that return types with arguments of type Attribute
Modifier and Type
Method
Description
`@NotNull Multimap<Attribute,AttributeModifier>`
Material.`getDefaultAttributeModifiers(@NotNull EquipmentSlot slot)`
Return an immutable copy of all default `Attribute`s and their `AttributeModifier`s for a given `EquipmentSlot`.
`Multimap<Attribute,AttributeModifier>`
UnsafeValues.`getDefaultAttributeModifiers(Material material, EquipmentSlot slot)`
Deprecated.
`@NotNull Multimap<Attribute,AttributeModifier>`
Material.`getItemAttributes(@NotNull EquipmentSlot equipmentSlot)`
Deprecated.
use `Material.getDefaultAttributeModifiers(EquipmentSlot)`
`@NotNull Multimap<Attribute,AttributeModifier>`
UnsafeValues.`getItemAttributes(@NotNull Material material, @NotNull EquipmentSlot equipmentSlot)`
Deprecated.
Returns an immutable multimap of attributes for the material and slot.

## Uses of Attribute in org.bukkit.attribute

Methods in org.bukkit.attribute that return Attribute
Modifier and Type
Method
Description
`@NotNull Attribute`
AttributeInstance.`getAttribute()`
The attribute pertaining to this instance.
`static Attribute`
Attribute.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Attribute[]`
Attribute.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.bukkit.attribute with parameters of type Attribute
Modifier and Type
Method
Description
`@Nullable AttributeInstance`
Attributable.`getAttribute(@NotNull Attribute attribute)`
Gets the specified attribute instance from the object.
`void`
Attributable.`registerAttribute(@NotNull Attribute attribute)`
Registers a generic attribute to that attributable instance.

## Uses of Attribute in org.bukkit.inventory.meta

Methods in org.bukkit.inventory.meta that return types with arguments of type Attribute
Modifier and Type
Method
Description
`@Nullable Multimap<Attribute,AttributeModifier>`
ItemMeta.`getAttributeModifiers()`
Return an immutable copy of all Attributes and their modifiers in this ItemMeta.
Returns null if none exist.
`@NotNull Multimap<Attribute,AttributeModifier>`
ItemMeta.`getAttributeModifiers(@NotNull EquipmentSlot slot)`
Return an immutable copy of all `Attribute`s and their `AttributeModifier`s for a given `EquipmentSlot`.
Any `AttributeModifier` that does have have a given `EquipmentSlot` will be returned.
Methods in org.bukkit.inventory.meta with parameters of type Attribute
Modifier and Type
Method
Description
`boolean`
ItemMeta.`addAttributeModifier(@NotNull Attribute attribute, @NotNull AttributeModifier modifier)`
Add an Attribute and it's Modifier.
`@Nullable Collection<AttributeModifier>`
ItemMeta.`getAttributeModifiers(@NotNull Attribute attribute)`
Return an immutable copy of all `AttributeModifier`s for a given `Attribute`
`boolean`
ItemMeta.`removeAttributeModifier(@NotNull Attribute attribute)`
Remove all `AttributeModifier`s associated with the given `Attribute`.
`boolean`
ItemMeta.`removeAttributeModifier(@NotNull Attribute attribute, @NotNull AttributeModifier modifier)`
Remove a specific `Attribute` and `AttributeModifier`.
Method parameters in org.bukkit.inventory.meta with type arguments of type Attribute
Modifier and Type
Method
Description
`void`
ItemMeta.`setAttributeModifiers(@Nullable Multimap<Attribute,AttributeModifier> attributeModifiers)`
Set all `Attribute`s and their `AttributeModifier`s.

## Uses of Attribute in org.bukkit.potion

Methods in org.bukkit.potion that return types with arguments of type Attribute
Modifier and Type
Method
Description
`abstract @NotNull Map<Attribute,AttributeModifier>`
PotionEffectType.`getEffectAttributes()`
Gets the effect attributes in an immutable map.
`Map<Attribute,AttributeModifier>`
PotionEffectTypeWrapper.`getEffectAttributes()`
Methods in org.bukkit.potion with parameters of type Attribute
Modifier and Type
Method
Description
`abstract double`
PotionEffectType.`getAttributeModifierAmount(Attribute attribute, int effectAmplifier)`
Gets the true modifier amount based on the effect amplifier.
`double`
PotionEffectTypeWrapper.`getAttributeModifierAmount(Attribute attribute, int effectAmplifier)`